Summary:	Simple automatic certificate enroller
Name:		autosscep
Version:	0.9.28b
Release:	%mkrel 4
License:	BSD-like
Group:		Networking/Other
URL:		http://autosscep.spe.net/
Source0:	http://autosscep.spe.net/archives/autoSscep-%{version}.tar.bz2
BuildRequires:	openssl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
AUTOSSCEP is an automatic x509 certificate enroller based on SCEP
(Simple Certificate Enrollment Protocol). It provides VPN users an
easy maintenance of their certificates. It was developed in S.P.E.
laboratories starting from Sscep client by Jarkko Turkulainen and
it's based on OpenSSL toolkit library

%prep

%setup -q -n autoSscep-%{version}

# fix strange perms
chmod 644 *

%build

make CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sbindir}/
install -m0755 autosscep %{buildroot}%{_sbindir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYRIGHT EMPTYCONFIG ERRORS HOWTOCONFIGURE-Eng HOWTOCONFIGURE-Ita README
%{_sbindir}/autosscep


%changelog
* Sun Jul 20 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.28b-4mdv2009.0
+ Revision: 238959
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.28b-3mdv2008.0
+ Revision: 83874
- rebuild


* Fri Dec 22 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.28b-2mdv2007.0
+ Revision: 101576
- Import autosscep

* Sun Dec 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.28b-2mdk
- rebuild

* Mon Oct 18 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.28b-1mdk
- 0.9.28b

* Fri Aug 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.28-1mdk
- initial mandrake package

